Bug 208768 - PATCH: add support to ofpath for usb-storage, fix sbp-2 (firewire)
PATCH: add support to ofpath for usb-storage, fix sbp-2 (firewire)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 15:51 EDT by Alex Kanavin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 08:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
support for sbp-2 and usb-storage SCSI drivers in ofpath (3.74 KB, patch)
2006-10-01 15:51 EDT, Alex Kanavin
no flags Details | Diff
support for sbp-2 and usb-storage SCSI drivers in ofpath (1.90 KB, patch)
2006-10-01 19:32 EDT, Alex Kanavin
no flags Details | Diff

  None (edit)
Description Alex Kanavin 2006-10-01 15:51:49 EDT
Current yaboot version from rawhide doesn't support external drives properly (usb and firewire). I've taken 
the patch from http://mir2.ovh.net/gentoo-portage/sys-boot/yaboot/files/yaboot-1.3.13-ofpath.patch, 
made a few changes and tested it with external USB and Firewire drives - it seems to work, my Powerbook 
G4 is able to boot from them with no trouble. Please apply to yaboot git, and hopefully it shows up in 
rawhide soon, maybe even in time for FC6.
Comment 1 Alex Kanavin 2006-10-01 15:51:49 EDT
Created attachment 137510 [details]
support for sbp-2 and usb-storage SCSI drivers in ofpath
Comment 2 Alex Kanavin 2006-10-01 16:46:05 EDT
Oops, the usb-storage part is actually broken (only works in one specific case, and not when the drive is 
plugged via a hub, etc.), discard :) Other fixes are fine.
Comment 3 Alex Kanavin 2006-10-01 19:32:07 EDT
Created attachment 137514 [details]
support for sbp-2 and usb-storage SCSI drivers in ofpath

Ok, sorry for the confusion :) The new patch adds support for usb/firewire in a
much simpler and sweeter way, similar to other SCSI drivers already present in
ofpath. I tested it with usb in various configurations and also with firewire
and it works. Please apply.
Comment 4 Paul Nasrat 2006-11-16 08:07:30 EST
Fixed in yaboot git tree and rawhide.

Note You need to log in before you can comment on or make changes to this bug.